Bug 514003 (CVE-2009-1721) - CVE-2009-1721 OpenEXR: Invalid pointer free by image decompression
Summary: CVE-2009-1721 OpenEXR: Invalid pointer free by image decompression
Status: CLOSED ERRATA
Alias: CVE-2009-1721
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,reported=20090708,public=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-27 15:47 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-08-03 06:25:13 UTC


Attachments (Terms of Use)
Freeing unitialised pointers (CVE-2009-1721) patch by Drew Yao (379 bytes, patch)
2009-07-28 14:22 UTC, Jan Lieskovsky
no flags Details | Diff

Description Jan Lieskovsky 2009-07-27 15:47:20 UTC
An invalid pointer free flaw was found in OpenEXR by Huffman decoding.
A remote attacker could provide a specially-crafted image file, which
once opened to a local, unsuspecting user would lead to denial of 
service ("exrmakepreview" crash).

Credit: Drew Yao of Apple Product Security 
-------

Comment 3 Jan Lieskovsky 2009-07-28 13:33:37 UTC
Public now via:

    http://seclists.org/fulldisclosure/2009/Jul/0444.html

Comment 4 Jan Lieskovsky 2009-07-28 13:49:50 UTC
This issue affects the versions of the OpenEXR package, as shipped
with Fedora releases of 10 and 11.

This issue affects the versions of the OpenEXR package, as shipped
with Extra Packages for Enterprise Linux 4 (EPEL4) and Extra
Packages for Enterprise Linux 5 (EPEL5) projects.

Comment 5 Jan Lieskovsky 2009-07-28 14:22:04 UTC
Created attachment 355419 [details]
Freeing unitialised pointers (CVE-2009-1721) patch by Drew Yao

Comment 6 Rex Dieter 2009-07-29 16:39:49 UTC
I can prepare fixed pkgs using these patches (thanks), is it ok to reference this bug when pushing the update?

Comment 7 Tomas Hoger 2009-07-29 16:49:05 UTC
(In reply to comment #6)
> is it ok to reference this bug when pushing the update?

Sure.

Comment 8 Jan Lieskovsky 2009-07-29 17:18:24 UTC
(In reply to comment #6)
> I can prepare fixed pkgs using these patches (thanks)

  Hello Rex, thanks, just to explicitly mention, there are three issues
  CVE-2009-1720 CVE-2009-1721 and CVE-2009-1722 (only first two affecting
  Fedora's OpenEXR packages though).

Comment 9 Fedora Update System 2009-07-29 18:56:31 UTC
OpenEXR-1.6.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/OpenEXR-1.6.1-8.fc10

Comment 10 Fedora Update System 2009-07-29 18:56:50 UTC
OpenEXR-1.6.1-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/OpenEXR-1.6.1-8.fc11

Comment 11 Fedora Update System 2009-07-30 19:35:42 UTC
OpenEXR-1.4.0a-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/OpenEXR-1.4.0a-5.el5

Comment 12 Fedora Update System 2009-07-30 19:37:21 UTC
OpenEXR-1.4.0a-5.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/OpenEXR-1.4.0a-5.el4

Comment 13 Fedora Update System 2009-07-31 18:01:16 UTC
OpenEXR-1.6.1-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-07-31 18:02:00 UTC
OpenEXR-1.6.1-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-07-31 21:27:52 UTC
OpenEXR-1.4.0a-5.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-07-31 21:28:20 UTC
OpenEXR-1.4.0a-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.